Arch Rebar Armature hélicoïdale

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Rebar Helical and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Page précédente : Arch Rebar Stirrup.svg Armature en étrier
Page suivante : Armature circulaire Arch Rebar ColumnReinforcement.svg Arrow-right.svg

Arch Rebar Helical.svg Arch Rebar Armature hélicoïdale

Emplacement du menu
Arch → Rebar tools → Helical Rebar ou 3D/BIM → Reinforcement → Helical Rebar
Ateliers
Arch, BIM
Raccourci par défaut
Aucun
Introduit dans la version
0.17
Voir aussi
Reinforcement, Arch Armature personnalisée, Arch Rebar Armature en étrier, Arch Rebar Armature en colonnes


Description

L'outil Armature hélicoïdale permet à l'utilisateur de créer une armature hélicoïdale continue dans l'élément structurel Arch Structure.

L'outil Helical Rebar est également intégré dans l'atelier BIM.

Cette commande fait partie de l'atelier Reinforcement, un atelier externe qui peut être installé avec AddonManager.svg Gestionnaire d'Addon via le menu Outils → Gestionnaire d'Addon → Reinforcement.

Arch Rebar Helical example.png

Une barre de renforcement hélicoïdale continue à l'intérieur d'une Arch Structure


Utilisation

  1. Sélectionnez n’importe quelle face d’un objet créé précédemment Arch Structure.svg Arch Structure.
  2. Puis sélectionnez Arch Rebar Helical.svg Rebar Helical dans les outils pour barres d'armature.
  3. Un Panneau des tâches apparaîtra sur le côté gauche de l'écran, comme indiqué ci-dessous.
  4. Sélectionnez l'orientation souhaitée.
  5. Remplissez les entrées telles que 'Left Cover', Right Cover, Top Cover, 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' et 'Diameter' de l'armature.
  6. Sélectionnez le mode de distribution 'Amount' ou 'Spacing'.
  7. Pick Selected Face (choisir la face sélectionnée) est utilisé pour vérifier ou modifier la face pour la distribution des barres.
  8. Cliquez sur OK ou Apply pour générer les barres d’arceau.
  9. Cliquez sur Cancel pour quitter le panneau de tâches.
HelicalRebarDialog.png

Panneau de tâches pour l'outil Arch Armature hélicoïdale


Propriétés

  • DonnéesSideCover: La distance entre l'armature et la face incurvée.
  • DonnéesTop Cover: La distance entre l'armature et la face supérieure de la structure.
  • DonnéesBottom Cover: La distance entre l'armature et la face inférieure de la structure.
  • DonnéesPitch: Le pas d'une hélice est la hauteur d'un tour d'hélice complet, mesuré parallèlement à l'axe de l'hélice.
  • DonnéesDiameter: Diamètre de l'armature.

Script

Voir aussi: Arch API, API de renforts et FreeCAD Scripts de Base.

L'outil Armature hélicoïdale peut être utilisé dans macro et à partir de la console Python à l'aide de la fonction suivante:

Rebar = makeHelicalRebar(s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
  • Crée un objet Rebar à partir de la structure qui est une Arch Structure et facename qui est une face de cette structure.
    • Si aucune structure ni facename n'est donné, la face sélectionnée par l'utilisateur sera entrée.
  • s_cover, b_cover et t_cover sont des distances de décalage internes pour la barre d'armature par rapport aux faces de la structure. Ce sont respectivement les décalages latéraux, inférieurs et supérieurs.
  • diameter est le diamètre de la spirale de renforcement à l'intérieur de la structure.
  • pitch est le paramètre qui détermine la proximité ou l'éloignement de chaque boucle en spirale.

Exemple

import FreeCAD, Draft, Arch, HelicalRebar

Circle = Draft.makeCircle(radius=250)
Structure = Arch.makeStructure(Circle)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = HelicalRebar.makeHelicalRebar(10, 50, 8, 50, 50, structure, "Face2")

Édition de la barre d’armement

Vous pouvez changer les propriétés de la barre d’armement avec la fonction suivante.

editHelicalRebar(Rebar, s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
  • Rebar est un objet HelicalRebar créé précédemment.
  • Les autres paramètres sont les mêmes que ceux requis par la fonction makeHelicalRebar().
  • structure et facename peuvent être omis afin que l'armature reste dans la structure d'origine.
import HelicalRebar

HelicalRebar.editHelicalRebar(Rebar, 20, 100, 20, 20, 100)
Arrow-left.svg Page précédente : Arch Rebar Stirrup.svg Armature en étrier
Page suivante : Armature circulaire Arch Rebar ColumnReinforcement.svg Arrow-right.svg